Name: gcompris
Version: 6.5.3
Release: alt0
Summary: Educational suite for kids 3-10 years old
License: GPL
Group: Games/Other
Url: http://ofset.sf.net/gcompris
Source: ftp://gcompris.sourceforge.net/%name-%version.tar.gz
Patch0: gcompris_chess.patch
Patch1: gcompris_python.patch

Packager: guest007 <guest007@gmail.com>

BuildRequires: chess
BuildRequires: tetex-core texinfo
BuildRequires: libSDL_mixer-devel libSDL-devel
BuildRequires: libpopt-devel  gcc3.4-c++ zlib-devel
BuildRequires: libxml2-devel libgnomeui-devel
# (misc) needed for python support
BuildRequires: python-dev python-module-pygnome-canvas python-module-pygtk-devel python-module-pygnome-devel

Requires: gnome-libs libxml2 gdk-pixbuf gdk-pixbuf-gnomecanvas libgnomecanvas
Requires: chess >= 5.02
Requires: python-base python-module-pygnome-canvas python-module-pygtk python-module-pygnome
Requires: assetml-flags
Requires: libSDL_mixer

Provides: python2.4(_gcompris) python2.4(_gcompris_anim) python2.4(_gcompris_bonus) 
Provides: python2.4(_gcompris_score) python2.4(_gcompris_skin) python2.4(_gcompris_sound)
Provides: python2.4(_gcompris_timer) python2.4(_gcompris_utils)
										    

%description
GCompris / I Have Understood is an educationnal game for children starting at 2.
More than 50 different activities are proposed:
* Click on the animals => learn the mouse/click usage
* Type the falling letters => learn the keyboard usage
* Falling Dices
* Falling words
* Basic algebra
* Time learning with an analog clock
* Puzzle game with famous paintings
* Drive Plane to catch clouds in increasing number
* Balance the scales
* And much more ...

The Game is included in the Main desktop menu in 'Games'.

You should install it only if you have children using this computer.

%description -l ru_RU.KOI8-R
GCompris /         2- 
  50   :
*   =>   
*   =>   
*  
*  
*  ޣ
*  () 
*    
*   ̣     
*    ...

      ,  
        assetml-voices-ru

%package devel
Summary: Development package for gcompris
Group: Amusements/Games
Version: %version

%description devel
Development package for gcompris

%package -n assetml-voices-en
Summary: All voices in English for GCompris
Group: Amusements/Games
Requires: gcompris
Version: 1.1

%description -n assetml-voices-en
All voices in English for GCompris

%package -n assetml-voices-ru
Summary: All voices in Russian for GCompris
Group: Amusements/Games
Requires: gcompris
Version: 1.0

%description -n assetml-voices-ru
All voices in Russian for GCompris

%package -n assetml-flags
Summary: Contains png 60x40 country flags and an assetml description file for GCompris
Group: Pixmaps
Version: 1.7

%description -n assetml-flags
Contains png 60x40 country flags and an assetml description file for GCompris

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure --with-editor=no
%make_build

%install
%make  DESTDIR=%buildroot install

%post
%update_menus

%install_info %name.info

%postun
%clean_menus

%preun
%uninstall_info %name.info

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/*

%dir %_libdir/%name/
%_libdir/%name/*.so*
%_libdir/libgcompris-1.so.0.0.0
%_libdir/libgcompris-1.so.0

%_menudir/*
%dir %_datadir/gcompris
%dir %_datadir/gcompris/boards
%dir %_datadir/gcompris/boards/skins
%_datadir/gcompris/boards/skins/*
%_datadir/gcompris/boards/[^fs]*
%_datadir/gcompris/boards/f[iuo]*
%_datadir/gcompris/boards/s[cemu]*
%dir %_datadir/gcompris/boards/sounds
%_datadir/gcompris/boards/sounds/*.ogg
%_datadir/gcompris/boards/sounds/melody/*/*.ogg
#%_datadir/gcompris/boards/sounds/melody/guitar/*.ogg
#%_datadir/gcompris/boards/sounds/melody/tachos/*.ogg
#%_datadir/gcompris/boards/sounds/melody/xylofon/*.ogg
%_datadir/gcompris/boards/sounds/chronos/space/*.ogg
%_datadir/gcompris/boards/sounds/HOWTO_ENCODE
%dir %_datadir/gcompris/python
%_datadir/gcompris/python/*
%_datadir/applications/*
%_datadir/gnome/help/*
%_datadir/locale/ru/*/*
%_datadir/locale/en_GB/*/*
%_datadir/pixmaps/*.png
%_infodir/*

%files devel
%dir %_includedir/libgcompris-1.0/libgcompris
%_includedir/libgcompris-1.0/libgcompris/*
%dir %_libdir
#%_libdir/libgcompris-1.la
%_libdir/libgcompris-1.so
%_libdir/pkgconfig/libgcompris-1.0.pc

%files -n assetml-voices-en
%_datadir/gcompris/boards/sounds/en/alphabet
%_datadir/assetml/gcompris_alphabet_en.assetml
%_datadir/gcompris/boards/sounds/en/colors
%_datadir/assetml/gcompris_colors_en.assetml
%_datadir/gcompris/boards/sounds/en/geography
%_datadir/assetml/gcompris_geography_en.assetml
%_datadir/gcompris/boards/sounds/en/misc
%_datadir/assetml/gcompris_misc_en.assetml

%files -n assetml-voices-ru
%_datadir/gcompris/boards/sounds/ru/alphabet
%_datadir/assetml/gcompris_alphabet_ru.assetml
%_datadir/gcompris/boards/sounds/ru/colors
%_datadir/assetml/gcompris_colors_ru.assetml
%_datadir/gcompris/boards/sounds/ru/geography
%_datadir/assetml/gcompris_geography_ru.assetml
%_datadir/gcompris/boards/sounds/ru/misc
%_datadir/assetml/gcompris_misc_ru.assetml

%files -n assetml-flags
%_datadir/gcompris/boards/flags/*
%_datadir/assetml/gcompris_flags.assetml

%changelog
* Mon May 9 2005 Guest007 <guest007@gmail.com>
- initial build 4 Sisyphus
- dedicated for Victory Day
